GET /api/v202211/widget/carbonfootprint/{specificWidgetId}

Retrieves yearly Carbon Emissions data that is split by year, then by Gas Type and one of the following group types: ( Scope, Scope Category, Commodity ). Also includes target data, if target comparisons are enabled and set.

GetCarbonFootprintDataV202211

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific Widget identifier to get the data for integer (int32) Required

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GHGCarbonFootprintResponseV202211
Property Description Type
periodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
targetData GHGTargetEmissionsV202211
GHGTargetEmissionsV202211 properties
Property Description Type
adjustedTargetYear GHGYearlyEmissionsV202211
GHGYearlyEmissionsV202211 properties
Property Description Type
targetPerformancePercentage A percentage value that represents how close to the target year this year’s data is. A positive value means the current year is over the target, a negative value means the current year is under the target. Field is null if target data is not available. number (double)
totalYearlyEmissions The total emissions for this year, in CO2 Equivalent number (double)
year The year this data belongs to. string
yearlyEmissionsByGasType The total emissions for this year, grouped by gas type. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
yearlyEmissionsByGroup The total emissions for this year, grouped by Scope, Commodity, or Scope Category. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
adjustedYTDTargetYear GHGYearlyEmissionsV202211
GHGYearlyEmissionsV202211 properties
Property Description Type
targetPerformancePercentage A percentage value that represents how close to the target year this year’s data is. A positive value means the current year is over the target, a negative value means the current year is under the target. Field is null if target data is not available. number (double)
totalYearlyEmissions The total emissions for this year, in CO2 Equivalent number (double)
year The year this data belongs to. string
yearlyEmissionsByGasType The total emissions for this year, grouped by gas type. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
yearlyEmissionsByGroup The total emissions for this year, grouped by Scope, Commodity, or Scope Category. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
baseTargetYear GHGYearlyEmissionsV202211
GHGYearlyEmissionsV202211 properties
Property Description Type
targetPerformancePercentage A percentage value that represents how close to the target year this year’s data is. A positive value means the current year is over the target, a negative value means the current year is under the target. Field is null if target data is not available. number (double)
totalYearlyEmissions The total emissions for this year, in CO2 Equivalent number (double)
year The year this data belongs to. string
yearlyEmissionsByGasType The total emissions for this year, grouped by gas type. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
yearlyEmissionsByGroup The total emissions for this year, grouped by Scope, Commodity, or Scope Category. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
yearlyData GHG Emissions data, split by year, then by group and gas type. GHGYearlyEmissionsV202211[]
GHGYearlyEmissionsV202211 properties
Property Description Type
targetPerformancePercentage A percentage value that represents how close to the target year this year’s data is. A positive value means the current year is over the target, a negative value means the current year is under the target. Field is null if target data is not available. number (double)
totalYearlyEmissions The total emissions for this year, in CO2 Equivalent number (double)
year The year this data belongs to. string
yearlyEmissionsByGasType The total emissions for this year, grouped by gas type. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
yearlyEmissionsByGroup The total emissions for this year, grouped by Scope, Commodity, or Scope Category. GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
Example Response application/json
{  "periodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "targetData": {    "adjustedTargetYear": {      "targetPerformancePercentage": 1.0,      "totalYearlyEmissions": 1.0,      "year": "string",      "yearlyEmissionsByGasType": [],      "yearlyEmissionsByGroup": []
    },    "adjustedYTDTargetYear": {      "targetPerformancePercentage": 1.0,      "totalYearlyEmissions": 1.0,      "year": "string",      "yearlyEmissionsByGasType": [],      "yearlyEmissionsByGroup": []
    },    "baseTargetYear": {      "targetPerformancePercentage": 1.0,      "totalYearlyEmissions": 1.0,      "year": "string",      "yearlyEmissionsByGasType": [],      "yearlyEmissionsByGroup": []
    }
  },  "yearlyData": [
    {    "targetPerformancePercentage": 1.0,    "totalYearlyEmissions": 1.0,    "year": "string",    "yearlyEmissionsByGasType": [
      {      "groupInfo": "string",      "totalEmissions": 1.0
    }
    ],    "yearlyEmissionsByGroup": [
      {      "groupInfo": "string",      "totalEmissions": 1.0
    }
    ]
  }
  ]
}